Page MenuHomePhabricator

FailPage logic is all jacked up
Closed, ResolvedPublic2 Story Points

Description

Payments is currently sending users to a 404 /Donate-error URL most of the time an error occurs. There's no consistency in how we're getting the failure redirect. We should be using the error forms when RapidFail is true (and we can find a good error form), and falling back to a correctly formed wiki URL when it's not.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterFix fail page redirection (see deploy note!)

Event Timeline

Ejegg created this task.Aug 5 2015, 4:02 PM
Ejegg claimed this task.
Ejegg raised the priority of this task from to Unbreak Now!.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 5 2015, 4:02 PM

Change 229414 had a related patch set uploaded (by Ejegg):
Fix fail page redirection

https://gerrit.wikimedia.org/r/229414

Ejegg set Security to None.
Ejegg edited a custom field.
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Queen board.Aug 5 2015, 10:28 PM
Ejegg moved this task from Doing to Review on the Fundraising Sprint Queen board.Aug 17 2015, 3:43 PM

Change 229414 merged by jenkins-bot:
Fix fail page redirection (see deploy note!)

https://gerrit.wikimedia.org/r/229414

Ejegg closed this task as Resolved.Sep 9 2015, 5:30 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJan 11 2018, 9:40 PM